#include <stdio.h>
#include <string.h>
#include <stdlib.h>

/* Basically the same as main/channel.c:ast_set_group() .
 * Input is in argv[1] here.
 **/
int main(int argc, char *argv[]) {
	char *c = strdup(argv[1]);
	char *piece;
	/* using defaults of -1 rather than 0. Safer? Tzafrir. */
	int start = -1;
	int finish = -1;

        while ((piece = strsep(&c, ","))) {
		printf("checking %s.\n", piece);
                if (sscanf(piece, "%d-%d", &start, &finish) == 2) {
                        /* Range */
			printf("setting start=%d, finish=%d.\n", start, finish);
                } else if (sscanf(piece, "%d", &start) && start) {
                        /* Just one */
			printf("setting start=%d.\n", start != -1);
                        finish = start;
                } else {
			printf("we continued\n");
                        continue;
                }
		printf("start=%d, end=%d\n", start, finish);
        }

	free(c);
	return 0;
}
